using System;
using System.Xml.Serialization;
using Top.Api.Domain;
using System.Collections.Generic;
using Top.Api.Util;

namespace Top.Api.Request
{
    /// <summary>
    /// TOP API: taobao.openim.tribe.unsetmanager
    /// </summary>
    public class OpenimTribeUnsetmanagerRequest : BaseTopRequest<Top.Api.Response.OpenimTribeUnsetmanagerResponse>
    {
        /// <summary>
        /// 用户信息
        /// </summary>
        public string Member { get; set; }

        public OpenImUser Member_ { set { this.Member = TopUtils.ObjectToJson(value); } } 

        /// <summary>
        /// 群id
        /// </summary>
        public Nullable<long> Tid { get; set; }

        /// <summary>
        /// 用户信息
        /// </summary>
        public string User { get; set; }

        public OpenImUser User_ { set { this.User = TopUtils.ObjectToJson(value); } } 

        #region ITopRequest Members

        public override string GetApiName()
        {
            return "taobao.openim.tribe.unsetmanager";
        }

        public override IDictionary<string, string> GetParameters()
        {
            TopDictionary parameters = new TopDictionary();
            parameters.Add("member", this.Member);
            parameters.Add("tid", this.Tid);
            parameters.Add("user", this.User);
            if (this.otherParams != null)
            {
                parameters.AddAll(this.otherParams);
            }
            return parameters;
        }

        public override void Validate()
        {
            RequestValidator.ValidateRequired("member", this.Member);
            RequestValidator.ValidateRequired("tid", this.Tid);
            RequestValidator.ValidateRequired("user", this.User);
        }

        #endregion
    }
}
